#ifndef __CP_IDS_H
#define __CP_IDS_H
/**
 * \brief Controls IDs
 */
enum {
	ID_BTN_CALC = wxID_HIGHEST + 1,
	ID_CMB_PARNUM,
	ID_CMB_PARNUM_POLY,
	ID_BTN_RESETPAR,
	ID_BTN_ADDPOINT,
	ID_BTN_DELPOINT,
	ID_BTN_SETREL,
	ID_BTN_SETABS,

	ID_GR_PARAM,
	ID_GR_PARAM_POLY,
	ID_GR_DATA,
	// Fileinfo text fields (file metadata)
	ID_TXT_FILEINFO0,
	ID_TXT_FILEINFO1,
	ID_TXT_FILEINFO2,
	// Menu commands: general
	ID_MNU_NEW,
	ID_MNU_OPEN,
	ID_MNU_SAVEAS,
	ID_MNU_LOADPARAM,
	ID_MNU_EXIT,
	ID_MNU_ABOUT,
	ID_MNU_CUSTOMTERM,
	// Menu commands: calculation
	ID_MNU_CALC,
	ID_MNU_AUTOCALC,
	ID_MNU_CALC_ADDTERMS,
	ID_MNU_CALC_EXTERMSONLY,
	ID_MNU_CALC_NOOPT,
	// Menu commands: data operation
	ID_MNU_DATA_SORT,
	ID_MNU_DATA_EXCLUDEW0,
	// Fixed/varied natoms
	ID_CHK_FIXED_NATOMS,
	ID_TXT_FIXED_NATOMS
};
#endif
